com.threerings.parlor.card.trick.client

## Class TrickCardGameControllerDelegate

- java.lang.Object
- - com.threerings.crowd.client.PlaceControllerDelegate
  - - com.threerings.parlor.game.client.GameControllerDelegate
    - - com.threerings.parlor.turn.client.TurnGameControllerDelegate
      - - com.threerings.parlor.card.trick.client.TrickCardGameControllerDelegate

All Implemented Interfaces:
  com.threerings.presents.dobj.AttributeChangeListener, com.threerings.presents.dobj.ChangeListener

    public class TrickCardGameControllerDelegate
    extends TurnGameControllerDelegate

A card game controller delegate for trick-based card games, such as Spades and Hearts.

### Constructor Summary

Constructors
Constructor and Description
`TrickCardGameControllerDelegate(CardGameController controller)` Constructor.

### Method Summary

### Methods inherited from class com.threerings.parlor.turn.client.TurnGameControllerDelegate

`attributeChanged, didLeavePlace, getTurnHolderIndex, init, isOurTurn, willEnterPlace`

### Methods inherited from class com.threerings.parlor.game.client.GameControllerDelegate

`gameDidEnd, gameDidStart, gameWasCancelled, gameWillReset`

### Methods inherited from class com.threerings.crowd.client.PlaceControllerDelegate

`handleAction, mayLeavePlace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrickCardGameControllerDelegate

    public TrickCardGameControllerDelegate(CardGameController controller)

Constructor.

Parameters:
  `controller` - the game controller